This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 1321

Summary: Segmentation fault on simple -A*b operation
Product: Eigen Reporter: Arturo Laurenzi <Arturo.Laurenzi>
Component: Core - matrix productsAssignee: Nobody <eigen.nobody>
Status: RESOLVED DUPLICATE    
Severity: Crash CC: Arturo.Laurenzi, chtz, gael.guennebaud
Priority: High    
Version: 3.3 (current stable)   
Hardware: x86 - 64-bit   
OS: Linux   
Whiteboard:
Attachments:
Description Flags
Example code none

Description Arturo Laurenzi 2016-10-06 11:33:57 UTC
Created attachment 744 [details]
Example code

OS: Ubuntu 16.04 LTS
COMPILER: default version of gcc shipping with the OS (5.4.0)

Computing -A*b gives segmentation fault if:
 - A is a dynamically-allocated matrix with an ODD number of rows
 - b is a statically-allocated vector

As the attachment shows, if A has an EVEN number of rows everything is alright
If b is dynamically-allocated everything is alright.
Comment 1 Gael Guennebaud 2016-10-12 14:49:37 UTC
I cannot reproduce. What are your compiler flags?
Comment 2 Gael Guennebaud 2016-10-12 14:54:14 UTC
ok, that fails with rc1, but this has already been fixed.

*** This bug has been marked as a duplicate of bug 1311 ***
Comment 3 Nobody 2019-12-04 16:24:02 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/1321.